Create a customer
curl --request POST \
--url https://api.modempay.com/v1/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "John Doe"
}
'import requests
url = "https://api.modempay.com/v1/customers"
payload = { "name": "John Doe" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'John Doe'})
};
fetch('https://api.modempay.com/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>"
}Customers
Create a customer
POST
/
v1
/
customers
Create a customer
Authorizations
Use your Modem Pay secret key.
- Test environment: Use your
sk_test_...key. - Production environment: Only use
sk_live_...on your personal, secure machine. Do NOT share or commit your production keys.
Headers
Body
application/json
⌘I
